SUSE: 2022:2161-1 important: php74 | LinuxSecurity.com

   SUSE Security Update: Security update for php74
______________________________________________________________________________

Announcement ID:    SUSE-SU-2022:2161-1
Rating:             important
References:         #1200628 #1200645 
Cross-References:   CVE-2022-31625 CVE-2022-31626
CVSS scores:
                    CVE-2022-31625 (SUSE): 7.8 CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H
                    CVE-2022-31626 (SUSE): 7.5 CVSS:3.1/AV:N/AC:H/PR:L/UI:N/S:U/C:H/I:H/A:H

Affected Products:
                    SUSE Linux Enterprise High Performance Computing 12
                    SUSE Linux Enterprise Module for Web Scripting 12
                    SUSE Linux Enterprise Server 12
                    SUSE Linux Enterprise Server 12-SP3
                    SUSE Linux Enterprise Server 12-SP4
                    SUSE Linux Enterprise Server 12-SP5
                    SUSE Linux Enterprise Server for SAP Applications 12
                    SUSE Linux Enterprise Server for SAP Applications 12-SP3
                    SUSE Linux Enterprise Server for SAP Applications 12-SP4
                    SUSE Linux Enterprise Server for SAP Applications 12-SP5
                    SUSE Linux Enterprise Software Development Kit 12-SP5
______________________________________________________________________________

   An update that fixes two vulnerabilities is now available.

Description:

   This update for php74 fixes the following issues:

   - CVE-2022-31625: Fixed uninitialized pointers free in Postgres extension.
     (bsc#1200645)
   - CVE-2022-31626: Fixed buffer overflow via user-supplied password when
     using pdo_mysql extension with mysqlnd driver. (bsc#1200628).


Patch Instructions:

   To install this SUSE Security Update use the SUSE recommended installation methods
   like YaST online_update or "zypper patch".

   Alternatively you can run the command listed for your product:

   - SUSE Linux Enterprise Software Development Kit 12-SP5:

      zypper in -t patch SUSE-SLE-SDK-12-SP5-2022-2161=1

   - SUSE Linux Enterprise Module for Web Scripting 12:

      zypper in -t patch SUSE-SLE-Module-Web-Scripting-12-2022-2161=1



Package List:

   - SUSE Linux Enterprise Software Development Kit 12-SP5 (aarch64 ppc64le s390x x86_64):

      php74-debuginfo-7.4.6-1.42.1
      php74-debugsource-7.4.6-1.42.1
      php74-devel-7.4.6-1.42.1

   - SUSE Linux Enterprise Module for Web Scripting 12 (aarch64 ppc64le s390x x86_64):

      apache2-mod_php74-7.4.6-1.42.1
      apache2-mod_php74-debuginfo-7.4.6-1.42.1
      php74-7.4.6-1.42.1
      php74-bcmath-7.4.6-1.42.1
      php74-bcmath-debuginfo-7.4.6-1.42.1
      php74-bz2-7.4.6-1.42.1
      php74-bz2-debuginfo-7.4.6-1.42.1
      php74-calendar-7.4.6-1.42.1
      php74-calendar-debuginfo-7.4.6-1.42.1
      php74-ctype-7.4.6-1.42.1
      php74-ctype-debuginfo-7.4.6-1.42.1
      php74-curl-7.4.6-1.42.1
      php74-curl-debuginfo-7.4.6-1.42.1
      php74-dba-7.4.6-1.42.1
      php74-dba-debuginfo-7.4.6-1.42.1
      php74-debuginfo-7.4.6-1.42.1
      php74-debugsource-7.4.6-1.42.1
      php74-dom-7.4.6-1.42.1
      php74-dom-debuginfo-7.4.6-1.42.1
      php74-enchant-7.4.6-1.42.1
      php74-enchant-debuginfo-7.4.6-1.42.1
      php74-exif-7.4.6-1.42.1
      php74-exif-debuginfo-7.4.6-1.42.1
      php74-fastcgi-7.4.6-1.42.1
      php74-fastcgi-debuginfo-7.4.6-1.42.1
      php74-fileinfo-7.4.6-1.42.1
      php74-fileinfo-debuginfo-7.4.6-1.42.1
      php74-fpm-7.4.6-1.42.1
      php74-fpm-debuginfo-7.4.6-1.42.1
      php74-ftp-7.4.6-1.42.1
      php74-ftp-debuginfo-7.4.6-1.42.1
      php74-gd-7.4.6-1.42.1
      php74-gd-debuginfo-7.4.6-1.42.1
      php74-gettext-7.4.6-1.42.1
      php74-gettext-debuginfo-7.4.6-1.42.1
      php74-gmp-7.4.6-1.42.1
      php74-gmp-debuginfo-7.4.6-1.42.1
      php74-iconv-7.4.6-1.42.1
      php74-iconv-debuginfo-7.4.6-1.42.1
      php74-intl-7.4.6-1.42.1
      php74-intl-debuginfo-7.4.6-1.42.1
      php74-json-7.4.6-1.42.1
      php74-json-debuginfo-7.4.6-1.42.1
      php74-ldap-7.4.6-1.42.1
      php74-ldap-debuginfo-7.4.6-1.42.1
      php74-mbstring-7.4.6-1.42.1
      php74-mbstring-debuginfo-7.4.6-1.42.1
      php74-mysql-7.4.6-1.42.1
      php74-mysql-debuginfo-7.4.6-1.42.1
      php74-odbc-7.4.6-1.42.1
      php74-odbc-debuginfo-7.4.6-1.42.1
      php74-opcache-7.4.6-1.42.1
      php74-opcache-debuginfo-7.4.6-1.42.1
      php74-openssl-7.4.6-1.42.1
      php74-openssl-debuginfo-7.4.6-1.42.1
      php74-pcntl-7.4.6-1.42.1
      php74-pcntl-debuginfo-7.4.6-1.42.1
      php74-pdo-7.4.6-1.42.1
      php74-pdo-debuginfo-7.4.6-1.42.1
      php74-pgsql-7.4.6-1.42.1
      php74-pgsql-debuginfo-7.4.6-1.42.1
      php74-phar-7.4.6-1.42.1
      php74-phar-debuginfo-7.4.6-1.42.1
      php74-posix-7.4.6-1.42.1
      php74-posix-debuginfo-7.4.6-1.42.1
      php74-readline-7.4.6-1.42.1
      php74-readline-debuginfo-7.4.6-1.42.1
      php74-shmop-7.4.6-1.42.1
      php74-shmop-debuginfo-7.4.6-1.42.1
      php74-snmp-7.4.6-1.42.1
      php74-snmp-debuginfo-7.4.6-1.42.1
      php74-soap-7.4.6-1.42.1
      php74-soap-debuginfo-7.4.6-1.42.1
      php74-sockets-7.4.6-1.42.1
      php74-sockets-debuginfo-7.4.6-1.42.1
      php74-sodium-7.4.6-1.42.1
      php74-sodium-debuginfo-7.4.6-1.42.1
      php74-sqlite-7.4.6-1.42.1
      php74-sqlite-debuginfo-7.4.6-1.42.1
      php74-sysvmsg-7.4.6-1.42.1
      php74-sysvmsg-debuginfo-7.4.6-1.42.1
      php74-sysvsem-7.4.6-1.42.1
      php74-sysvsem-debuginfo-7.4.6-1.42.1
      php74-sysvshm-7.4.6-1.42.1
      php74-sysvshm-debuginfo-7.4.6-1.42.1
      php74-tidy-7.4.6-1.42.1
      php74-tidy-debuginfo-7.4.6-1.42.1
      php74-tokenizer-7.4.6-1.42.1
      php74-tokenizer-debuginfo-7.4.6-1.42.1
      php74-xmlreader-7.4.6-1.42.1
      php74-xmlreader-debuginfo-7.4.6-1.42.1
      php74-xmlrpc-7.4.6-1.42.1
      php74-xmlrpc-debuginfo-7.4.6-1.42.1
      php74-xmlwriter-7.4.6-1.42.1
      php74-xmlwriter-debuginfo-7.4.6-1.42.1
      php74-xsl-7.4.6-1.42.1
      php74-xsl-debuginfo-7.4.6-1.42.1
      php74-zip-7.4.6-1.42.1
      php74-zip-debuginfo-7.4.6-1.42.1
      php74-zlib-7.4.6-1.42.1
      php74-zlib-debuginfo-7.4.6-1.42.1


References:

   https://www.suse.com/security/cve/CVE-2022-31625.html
   https://www.suse.com/security/cve/CVE-2022-31626.html
   https://bugzilla.suse.com/1200628
   https://bugzilla.suse.com/1200645

SUSE: 2022:2161-1 important: php74

June 23, 2022
An update that fixes two vulnerabilities is now available

Summary

This update for php74 fixes the following issues: - CVE-2022-31625: Fixed uninitialized pointers free in Postgres extension. (bsc#1200645) - CVE-2022-31626: Fixed buffer overflow via user-supplied password when using pdo_mysql extension with mysqlnd driver. (bsc#1200628). Patch Instructions: To install this SUSE Security Update use the SUSE recommended installation methods like YaST online_update or "zypper patch". Alternatively you can run the command listed for your product: - SUSE Linux Enterprise Software Development Kit 12-SP5: zypper in -t patch SUSE-SLE-SDK-12-SP5-2022-2161=1 - SUSE Linux Enterprise Module for Web Scripting 12: zypper in -t patch SUSE-SLE-Module-Web-Scripting-12-2022-2161=1 Package List: - SUSE Linux Enterprise Software Development Kit 12-SP5 (aarch64 ppc64le s390x x86_64): php74-debuginfo-7.4.6-1.42.1 php74-debugsource-7.4.6-1.42.1 php74-devel-7.4.6-1.42.1 - SUSE Linux Enterprise Module for Web Scripting 12 (aarch64 ppc64le s390x x86_64): apache2-mod_php74-7.4.6-1.42.1 apache2-mod_php74-debuginfo-7.4.6-1.42.1 php74-7.4.6-1.42.1 php74-bcmath-7.4.6-1.42.1 php74-bcmath-debuginfo-7.4.6-1.42.1 php74-bz2-7.4.6-1.42.1 php74-bz2-debuginfo-7.4.6-1.42.1 php74-calendar-7.4.6-1.42.1 php74-calendar-debuginfo-7.4.6-1.42.1 php74-ctype-7.4.6-1.42.1 php74-ctype-debuginfo-7.4.6-1.42.1 php74-curl-7.4.6-1.42.1 php74-curl-debuginfo-7.4.6-1.42.1 php74-dba-7.4.6-1.42.1 php74-dba-debuginfo-7.4.6-1.42.1 php74-debuginfo-7.4.6-1.42.1 php74-debugsource-7.4.6-1.42.1 php74-dom-7.4.6-1.42.1 php74-dom-debuginfo-7.4.6-1.42.1 php74-enchant-7.4.6-1.42.1 php74-enchant-debuginfo-7.4.6-1.42.1 php74-exif-7.4.6-1.42.1 php74-exif-debuginfo-7.4.6-1.42.1 php74-fastcgi-7.4.6-1.42.1 php74-fastcgi-debuginfo-7.4.6-1.42.1 php74-fileinfo-7.4.6-1.42.1 php74-fileinfo-debuginfo-7.4.6-1.42.1 php74-fpm-7.4.6-1.42.1 php74-fpm-debuginfo-7.4.6-1.42.1 php74-ftp-7.4.6-1.42.1 php74-ftp-debuginfo-7.4.6-1.42.1 php74-gd-7.4.6-1.42.1 php74-gd-debuginfo-7.4.6-1.42.1 php74-gettext-7.4.6-1.42.1 php74-gettext-debuginfo-7.4.6-1.42.1 php74-gmp-7.4.6-1.42.1 php74-gmp-debuginfo-7.4.6-1.42.1 php74-iconv-7.4.6-1.42.1 php74-iconv-debuginfo-7.4.6-1.42.1 php74-intl-7.4.6-1.42.1 php74-intl-debuginfo-7.4.6-1.42.1 php74-json-7.4.6-1.42.1 php74-json-debuginfo-7.4.6-1.42.1 php74-ldap-7.4.6-1.42.1 php74-ldap-debuginfo-7.4.6-1.42.1 php74-mbstring-7.4.6-1.42.1 php74-mbstring-debuginfo-7.4.6-1.42.1 php74-mysql-7.4.6-1.42.1 php74-mysql-debuginfo-7.4.6-1.42.1 php74-odbc-7.4.6-1.42.1 php74-odbc-debuginfo-7.4.6-1.42.1 php74-opcache-7.4.6-1.42.1 php74-opcache-debuginfo-7.4.6-1.42.1 php74-openssl-7.4.6-1.42.1 php74-openssl-debuginfo-7.4.6-1.42.1 php74-pcntl-7.4.6-1.42.1 php74-pcntl-debuginfo-7.4.6-1.42.1 php74-pdo-7.4.6-1.42.1 php74-pdo-debuginfo-7.4.6-1.42.1 php74-pgsql-7.4.6-1.42.1 php74-pgsql-debuginfo-7.4.6-1.42.1 php74-phar-7.4.6-1.42.1 php74-phar-debuginfo-7.4.6-1.42.1 php74-posix-7.4.6-1.42.1 php74-posix-debuginfo-7.4.6-1.42.1 php74-readline-7.4.6-1.42.1 php74-readline-debuginfo-7.4.6-1.42.1 php74-shmop-7.4.6-1.42.1 php74-shmop-debuginfo-7.4.6-1.42.1 php74-snmp-7.4.6-1.42.1 php74-snmp-debuginfo-7.4.6-1.42.1 php74-soap-7.4.6-1.42.1 php74-soap-debuginfo-7.4.6-1.42.1 php74-sockets-7.4.6-1.42.1 php74-sockets-debuginfo-7.4.6-1.42.1 php74-sodium-7.4.6-1.42.1 php74-sodium-debuginfo-7.4.6-1.42.1 php74-sqlite-7.4.6-1.42.1 php74-sqlite-debuginfo-7.4.6-1.42.1 php74-sysvmsg-7.4.6-1.42.1 php74-sysvmsg-debuginfo-7.4.6-1.42.1 php74-sysvsem-7.4.6-1.42.1 php74-sysvsem-debuginfo-7.4.6-1.42.1 php74-sysvshm-7.4.6-1.42.1 php74-sysvshm-debuginfo-7.4.6-1.42.1 php74-tidy-7.4.6-1.42.1 php74-tidy-debuginfo-7.4.6-1.42.1 php74-tokenizer-7.4.6-1.42.1 php74-tokenizer-debuginfo-7.4.6-1.42.1 php74-xmlreader-7.4.6-1.42.1 php74-xmlreader-debuginfo-7.4.6-1.42.1 php74-xmlrpc-7.4.6-1.42.1 php74-xmlrpc-debuginfo-7.4.6-1.42.1 php74-xmlwriter-7.4.6-1.42.1 php74-xmlwriter-debuginfo-7.4.6-1.42.1 php74-xsl-7.4.6-1.42.1 php74-xsl-debuginfo-7.4.6-1.42.1 php74-zip-7.4.6-1.42.1 php74-zip-debuginfo-7.4.6-1.42.1 php74-zlib-7.4.6-1.42.1 php74-zlib-debuginfo-7.4.6-1.42.1

References

#1200628 #1200645

Cross- CVE-2022-31625 CVE-2022-31626

CVSS scores:

CVE-2022-31625 (SUSE): 7.8 CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

CVE-2022-31626 (SUSE): 7.5 CVSS:3.1/AV:N/AC:H/PR:L/UI:N/S:U/C:H/I:H/A:H

Affected Products:

SUSE Linux Enterprise High Performance Computing 12

SUSE Linux Enterprise Module for Web Scripting 12

SUSE Linux Enterprise Server 12

SUSE Linux Enterprise Server 12-SP3

SUSE Linux Enterprise Server 12-SP4

SUSE Linux Enterprise Server 12-SP5

SUSE Linux Enterprise Server for SAP Applications 12

SUSE Linux Enterprise Server for SAP Applications 12-SP3

SUSE Linux Enterprise Server for SAP Applications 12-SP4

SUSE Linux Enterprise Server for SAP Applications 12-SP5

SUSE Linux Enterprise Software Development Kit 12-SP5

https://www.suse.com/security/cve/CVE-2022-31625.html

https://www.suse.com/security/cve/CVE-2022-31626.html

https://bugzilla.suse.com/1200628

https://bugzilla.suse.com/1200645

Severity
Announcement ID: SUSE-SU-2022:2161-1
Rating: important

We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.